<?php
	/**
	 * @version     1.0.0
	 * @package     Joomla 4
	 * @subpackage  Formea
	 * @author      Feseur Sdn Bhd
	 * @copyright   Copyright (C) 2010-2023 Feseur Sdn Bhd. All rights reserved.
	 * @license     GNU General Public License version 2 or later; see LICENSE.txt
	 */

	defined('_JEXEC') or die();

	JLoader::registerNamespace('Doctrine\Common\Lexer',__DIR__.'/lib/doctrine/lexer/src');
	JLoader::registerNamespace('Egulias\EmailValidator',__DIR__.'/lib/egulias/email-validator/src');
	/*function requireAllFilesInDirectory($directory) {
	  $items = scandir($directory);

	  foreach ($items as $item) {
		if ($item == '.' || $item == '..' || $item[0] == '.') {
		  continue;
		}

		$path = $directory . '/' . $item;

		if (is_dir($path)) {
		  requireAllFilesInDirectory($path);
		} elseif (is_file($path) && pathinfo($path, PATHINFO_EXTENSION) === 'php') {
		  require_once $path;

		  // Assuming a PSR-4 structure, convert the file path to a class name
		  $class = str_replace('/', '\\', substr($path, strlen($directory)));
		  $class = substr($class, 0, -4); // Remove the ".php" extension

		  if (class_exists($class)) {

			// If the class exists, you can use it here
		  }
		}
	  }
	}


	$directory = __DIR__ . '/lib';*/

	//requireAllFilesInDirectory($directory);


